Name:      python-tempita
Version:   0.5.1
Release:   21
Summary:   A small templating language for text substitution
License:   MIT
URL:       https://pypi.org/project/Tempita/0.5.1/#description
Source0:   https://files.pythonhosted.org/packages/3f/70/d22ffcf0c1aa88077260de058845d0ef00b4b3044da7c10fc39068801a03/Tempita-0.5.1.tar.gz
BuildArch: noarch

%global with_python3 1

%global common_description %{expand:Tempita is a small templating language for text substitution.
This isn't meant to be the Next Big Thing in templating; it is just a handy little templating
language for when your project outgrows string.Template or % substitution. It is small, it
embeds Python in strings, and it does not do much else.}

BuildRequires: python2-devel python2-setuptools python2-nose

%if 0%{?with_python3}
BuildRequires:python3-devel python3-setuptools
%endif

%description
%{common_description}

%package -n python2-tempita
Summary: A small templating language for text substitution
%{?python_provide:%python_provide python2-tempita}

%description -n python2-tempita
%{common_description}

%if 0%{?with_python3}
%package -n python3-tempita
Summary: A small templating language for text substitution
%{?python_provide:%python_provide python3-tempita}

%description -n python3-tempita
%{common_description}
%endif

%prep
%autosetup -n Tempita-%{version} -p1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%py2_build
%if 0%{?with_python3}
pushd %{py3dir}
%py3_build
popd
%endif

%install
%py2_install
%if 0%{?with_python3}
pushd %{py3dir}
%py3_install
popd
%endif

%check
nosetests-2

%pre

%preun

%post

%postun

%files -n python2-tempita
%{python2_sitelib}/tempita/
%{python2_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-tempita
%{python3_sitelib}/tempita/
%{python3_sitelib}/*.egg-info
%endif

%changelog
* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.5.1-21
- Package init
